Real Prosperity 

A rich man asked Sengai to write something for the continued prosperity of his family so that it might be treasured from generation to generation. 

Sengai obtained a large sheet of paper and wrote: _"Father dies, son dies, grandson dies."_

The rich man became angry. "I asked you to write something for the happiness of my family! Why do you make such a joke of this?"

"No joke is intended," explained Sengai. "If before you yourself die your son should die, this would grieve you greatly. If your grandson should pass away before your son, both of you would be broken-hearted. If your family, generation after generation, passes away in the order I have named, it will be the natural course of life. I call this real prosperity."
